package com.zehong.system.mapper.track;

import java.util.List;
import com.zehong.system.domain.track.TProductDevice;

/**
 * 设备Mapper接口
 * 
 * @author zehong
 * @date 2024-08-28
 */
public interface TProductDeviceMapper 
{
    /**
     * 查询设备
     * 
     * @param id 设备ID
     * @return 设备
     */
    public TProductDevice selectTProductDeviceById(Long id);

    /**
     * 查询设备列表
     * 
     * @param tProductDevice 设备
     * @return 设备集合
     */
    public List<TProductDevice> selectTProductDeviceList(TProductDevice tProductDevice);

    /**
     * 新增设备
     * 
     * @param tProductDevice 设备
     * @return 结果
     */
    public int insertTProductDevice(TProductDevice tProductDevice);

    /**
     * 修改设备
     * 
     * @param tProductDevice 设备
     * @return 结果
     */
    public int updateTProductDevice(TProductDevice tProductDevice);

    /**
     * 删除设备
     * 
     * @param id 设备ID
     * @return 结果
     */
    public int deleteTProductDeviceById(Long id);

    /**
     * 批量删除设备
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTProductDeviceByIds(Long[] ids);
}
